##  for PCLinuxOS  ##

%define  ver  1.14i
%define  rel  15.1

%define git_date 20161015
%if %{git_date}
%define realrel %{rel}.git%{git_date}.nora17
%else
%define realrel %{rel}.nora17
%endif

Name:    lha
Summary: An archiving and compression utility for LHarc format archives.
Version: %{ver}
Release: %{realrel}
License: Freeware-like
Group:   Archiving/Compression
URL:     https://github.com/jca02266/lha

%if %{git_date}
Source0: lha-git%{git_date}.tar.xz
%else
Source0: lha-%{version}.tar.gz
%endif

## Source100 from Fedora
#Source100:  lha-1.14i-manpage-en.1
## Patch100 for sjis file name
#Patch100:  lha-1.14i-ac20050924p1-iconv.patch.gz

#BuildRequires: /usr/bin/iconv

%description
LhA is an archiving and compression utility for LHarc format archive.
LhA is mostly used in the Amiga and in the DOS world, but can be used
under Linux to extract files from .lha and .lzh archives.

Install the LhA package if you need to extract files from .lha or .lzh
Amiga or DOS archives, or if you have to build LhA archives to
be read on the Amiga or DOS.


%prep
%if %{git_date}
%setup -q -n %{name}-git%{git_date}
%else
%setup -q
%endif

#%%patch100 -p1


%build
%if %{git_date}
autoreconf -is
%endif

%configure2_5x
%make_build

#iconv -f EUC-JP -t UTF-8 man/lha.n > man/lha.n2
#mv man/lha.n2 man/lha.n


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std manndir=$RPM_BUILD_ROOT%{_mandir}/ja/man1


%files
%defattr(-,root,root)
%doc README.jp.md
%{_bindir}/lha
%{_mandir}/*/*


%changelog
* Sat Sep 16 2017 tomcat <> 1.14i-15.1.git20161015.nora17
- update Source0 to git.20161015
- fix URL
- drop Source100
- drop Patch100
- remove 'BR: /usr/bin/iconv'
- use %%make_build instead of %%make

* Sun Jul 03 2011 tomcat <> 1.14iac20050924p1-3nora11
- rebuild

* Fri Apr 08 2011 tomcat <> 1.14iac20050924p1-2nora11
- rebuild

* Sun Apr 04 2010 tomcat <> 1.14iac20050924p1-1nora10
- update to 1.14i-ac20050924p1
- drop all old Patches
- add Source100 from Fedora
- add Patch100 for sjis file name
- fix URL
- update %%files section

* Sat Jun 10 2007 Texstar <texstar@gmail.com> 1.14i-14pclos2007
- security update

* Thu Oct 26 2006 Texstar <texstar@houston.rr.com>
- initial build for pclinuxos 2007
